
// DUMMYVARIABLER 
	// books_home
		//dummy for 1-10 bøker
		gen Dbooks1_10=0 if books_home!=.
		replace Dbooks1_10=1 if books_home==1

		//dummy for 11-25 bøker
		gen Dbooks11_25=0 if books_home!=.
		replace Dbooks11_25=1 if books_home==2

		//dummy for 26-100 bøker
		gen Dbooks26_100=0 if books_home!=.
		replace Dbooks26_100 =1 if books_home==3

		//dummy for 101-200 bøker
		gen Dbooks101_200=0 if books_home!=.
		replace Dbooks101_200 =1 if books_home==4

		//dummy for mer enn 200 bøker
		gen Dbooks200_plus=0 if books_home!=.
		replace Dbooks200_plus =1 if books_home==5

			//Sjekker at vi alle er gjort til dummier. 
			gen Dbook_sum=Dbooks1_10 + Dbooks11_25+Dbooks26_100 + Dbooks101_200 + 				Dbooks200_plus /*Summerer alle intervallene av book_home variablen*/
			sum Dbook_sum /* Sjekker at alle der definert som dummier indeviduelt*/ 
			
	// for income	
		gen income1 = income==1

		gen income2 = income==2

		gen incomelow = (income1+income2) if !missing(income)

		gen income3 = income==3

		gen income4 = income==4

		gen incomemid = (income3+income4) if !missing(income)

		gen income5 = income==5

		gen income6 = income==6

		gen incomehigh = (income5+income6) if !missing(income)

	//lager en dummy over høyere eller ikke høyere utdannelse for foreldre 

		gen par_uni = par_edu==1 if !missing(par_edu)
		
	// dummy for høy eller lav inntekt

		gen incomehigh2 = incomehigh==1 if !missing(income) // Lager ny variabel 	for income. Incomehigh2 er kategori 5 og 6  i income variablen som dummy. 

	//koder early_ability i fire dummyvariabler
		gen early1 = early_ability==1 if !missing(early_ability)
		
		gen early2 = early_ability==2 if !missing(early_ability)
		
		gen early3 = early_ability==3 if !missing(early_ability)
		
		gen early4 = early_ability==4 if !missing(early_ability)

		
//DESKRIPTIV STATISTIKK	
	
	//Lager deskriptiv statistikk for avhengig variabel
		sum read 
	//Deskriptiv statistikk for interessevariabel
		sum books_home
	//	Fordeling av books_home
		tab books_home

	//Deskriptiv statistikk for 1) kontrollvariabler 
		sum income pc_class par_uni speak_testlang_home
	//Fordeling av kategorien income	
		tab income
	//Fordeling av speak_testlang_home
		tab speak_testlang_home
		
	//Deskriptivs statistikk for 2) kontrollvariabler
		sum early1 early2 early3 early4 not_born
	//Fordeling early_ability	
		tab early_ability
		
	//Korrelasjonsmatrise for datamaterialet 
		cor read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 Dbooks200_plus incomehigh2 pc_class par_uni speak_testlang_home not_born early1 early2 early3 early4 

// HOVEDMODELLEN
	// bare for books
		reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 pc_class
		outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 		0.05, 0.10) replace

	// books + familiekarakteristika -> utvidet grunnmodelmodell
		reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 pc_class par_uni  		incomehigh2 speak_testlang_home
		outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 		0.05, 0.10) append

	//bokks + familiekarakteristika + andre varbler av interesse -> HOVEDMODELLEN
		reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 pc_class par_uni  		incomehigh2 speak_testlang_home not_born early1 early2 early4
		outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 		0.05, 0.10) append

//KONTROLERER FOR ROBUSTHET
	//Familiekarakteristika + vår grunnmodelmodell
		// Koder speak_testlang_home i tre dummyvariabler, OG parent_emp til en dummy
		gen speak_testlang_sometimes = speak_testlang_home==2 if !missing(				speak_testlang_home)
		gen speak_testlang_never = speak_testlang_home==3 if !missing(					speak_testlang_home)
		gen parent_ujob = par_emp ==4 if !missing(par_emp)
		
reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 par_uni early1 early2 early4 par_not_born incomehigh2 speak_testlang_sometimes speak_testlang_never parent_ujob
outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 0.05, 0.10) replace

//Medelevkarakteristika 
	//Koder pct_abroad i tre dummyvariabler, OG pct_disadv i tre dummyvariabler
		gen pct_abroad11_25 = pct_abroad==1 if !missing(pct_abroad)
		gen pct_abroad26_50 = pct_abroad==2 if !missing(pct_abroad)
		gen pct_abroad50plus = pct_abroad==3 if !missing(pct_abroad)
		gen pct_disadv11_25 = pct_disadv==1 if !missing(pct_disadv)
		gen pct_disadv26_50 = pct_disadv==2 if !missing(pct_disadv)
		gen pct_disadv50plus = pct_disadv==3 if !missing(pct_disadv)		

reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 par_uni early1 early2 early4 par_not_born incomehigh2 speak_testlang_sometimes speak_testlang_never parent_ujob pct_abroad26_50 pct_abroad50plus pct_disadv26_50 pct_disadv50plus
outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 0.05, 0.10) append

//SKolekarakteristika 
	//Koder school_location i fire dummyvariabler
		gen school_location0_3000 = school_location==1 if !missing(school_location)
		gen school_location3000_100000 = school_location==2 if !missing(school_location)
		gen school_location100001_500000 = school_location==3 if !missing(school_location)
		gen school_location500000plus = school_location==4 if !missing(school_location)
		
reg read Dbooks1_10 Dbooks11_25 Dbooks26_100 Dbooks101_200 par_uni par_not_born early1 early2 early4 incomehigh2 speak_testlang_sometimes speak_testlang_never parent_ujob pct_abroad26_50 pct_abroad50plus pct_disadv26_50 pct_disadv50plus pc_class teacher_cert teacher_exp clsize school_location0_3000 school_location100001_500000 school_location500000plus
outreg2 using tabellovermodeller.tex, nolabel word symbol (**,*,*) alpha (0.01, 0.05, 0.10) append

//Personkarakteristika
	
